<?php

/**
 * Prepare field variables for the form wrapper template.
 *
 * Implements hook_preprocess_HOOK().
 */
function template_preprocess_entity_translation_unified_form__inline__wrapper(&$variables) {

}

/**
 * Prepare field variables for the form wrapper template.
 *
 * Implements hook_preprocess_HOOK().
 */
function template_preprocess_entity_translation_unified_form__inline__field_wrapper(&$variables) {

}

/**
 * Prepare field variables for the form wrapper template.
 *
 * Implements hook_preprocess_HOOK().
 */
function template_preprocess_entity_translation_unified_form__a11y_accordion_tabs__wrapper(&$variables) {
  $variables['#attached']['library'][] = 'entity_translation_unified_form/a11y-accordion-tabs';

  $current_language = \Drupal::languageManager()->getCurrentLanguage();

  $id = $variables['element']['#id'];
  $variables['fields'][$id] = array(
    'id' => $id,
    'language_name' => t($current_language->getName()),
    'label' => $variables['element']['widget']['#title'],
    'markup' => $variables['element']['#children'],
  );

  $other_languages = entity_translation_unified_form_get_other_languages();
  foreach($other_languages as $langcode => $language) {
    $id = $variables['element'][$langcode]['#id'];
    $variables['fields'][$id] = array(
      'id' => $id,
      'language_name' => t($language->getName()),
      'label' => $variables['element'][$langcode]['widget']['#title'],
      'markup' => $variables['element'][$langcode]['#children'],
    );
  }
}

/**
 * Prepare field variables for the form wrapper template.
 *
 * Implements hook_preprocess_HOOK().
 */
function template_preprocess_entity_translation_unified_form__a11y_accordion_tabs__form_wrapper(&$variables) {

}